#!/usr/bin/env python3
# depends (debian) python3-gdbm
import dbm
import sys
import os
from pathlib import Path
# from python 3.12 only :(
#from itertools import batched

mlist = f'/var/mail/maildrop/{sys.argv[1]}/mlist'

def batched(_iter, n, pad=True):
    ret = []
    for i in _iter:
        if len(ret) < n:
            ret.append(i)
            continue
        yield ret
        ret = [i]

    rem = len(ret) - n
    if pad and rem:
        ret[rem:] = [None,]*rem
    yield ret

def gdbm_iter_keys(dbpath):
    with dbm.open(dbpath, 'r') as db:
        k = db.firstkey()
        while k is not None:
            yield map(lambda x: x.decode('utf-8'), [k, db.get(k)])
            k = db.nextkey(k)

members = {
     k for k,_ in filter(
        lambda x: '@' in set(x[0]) - set(x[1]),
        map(tuple, gdbm_iter_keys(mlist))
    )
}

lines = sys.stdin.buffer.read().decode('utf-8').splitlines()

for name, email in batched(lines, 2):
    if email in members:
        continue
    if '@' in name:
        continue
    sys.stdout.buffer.write(f"{name}\n{email}\n".encode('utf-8'))

