#!/bin/bash
set -euo pipefail
WD=$(mktemp -d)
cleanup (){
  rm -rf "${WD}"
}
trap 'cleanup' EXIT
form_dir="$1"

SCRIPTDIR=$(readlink -f "${BASH_SOURCE[0]%/*}")

cd "${WD}"

awk -F ":" -- \
	'/Name:/ { print substr($2,2) } /Email:/ { print substr($2,2) }' \
	$(find ${form_dir} -type f -name "*.txt") \
> signup

update_signup(){
       name="${signup[$1-1]}"
       email="${2}"
       SIGNUP["$email"]="${name}"
}

for group in cropswap{,-members}; do
	declare -A SIGNUP=()
	mapfile -t -c 2 -C update_signup signup < <("${SCRIPTDIR}/cropswap-register-new.py" "${group}@shandan.one" < signup)

	for email in "${!SIGNUP[@]}"; do
		set -x
		"${SCRIPTDIR}/cropswap-register.sh" "${group}@shandan.one" "${signup["$email"]}" "$email" NONE
		set +x
	done
done
