#!/usr/bin/env python3
# depends (debian) python3-gdbm
import dbm
import sys

mailgroup = sys.argv[1]
keys = sys.argv[2:]

for f in ('alist', 'mlist', 'slist'):
    with dbm.open(f'/var/mail/maildrop/{mailgroup}/{f}', 'w') as db:
        for k in keys:
            v = db.get(k.lower(), None)
            if v is None:
                sys.stdout.buffer.write(f'Key not found: {k}\n'.encode('utf-8'))
                continue

            sys.stdout.buffer.write(f'Deleting key: {k}\n'.encode('utf-8'))
            del db[k.lower()]
            if f == 'mlist':
                sys.stdout.buffer.write(f'Deleting reverse map: {v}\n'.encode('utf-8'))
                del db[v.lower()]

