#!/usr/bin/env python3
# depends (debian) python3-gdbm
import dbm
import sys
list = sys.argv[1]

def gdbm_iter_keys(dbpath):
    with dbm.open(dbpath, 'r') as db:
        k = db.firstkey()
        while k is not None:
            yield k, db.get(k)
            k = db.nextkey(k)

members = filter(lambda x: x[1], gdbm_iter_keys(list))

for k, v in dict(members).items():
    print(k.decode('utf-8'))
    print(v.decode('utf-8'))

